package com.trade.client.trade.exportrebate.dto;

import com.trade.service.trade.exportrebate.domain.TaxRebateExportDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class ExportDetailDto {

    /**
     * 申报年月（所属期）（yyyyMM）
     */
    private String declarationMonthYear;
    /**
     * 申报批次
     */
    private String declarationBatch;
    /**
     * 申报序号
     */
    private String declarationSerialNo;
    /**
     * 商品HS编码
     */
    private String hsCode;
    /**
     * 出口商品代码
     */
    private String exportCommodityCode;
    /**
     * 出口商品名称 （报关品名）
     */
    private String exportCommodityName;
    /**
     * 计量单位
     */
    private String measurementUnit;
    /**
     * 出口数量
     */
    private BigDecimal exportQuantity;
    /**
     * 美元离岸价
     */
    private BigDecimal fobPriceUsd;
    /**
     * 退税额（生产企业：免抵退税额）
     */
    private BigDecimal taxRefundAmount;
    /**
     * 退税状态，枚举rebate_process_status
     */
    private String status;

    public ExportDetailDto() {

    }

    public ExportDetailDto(TaxRebateExportDetails taxRebateExportDetails) {
        this.declarationMonthYear = taxRebateExportDetails.getDeclarationMonthYear();
        this.declarationBatch = taxRebateExportDetails.getDeclarationBatch();
        this.declarationSerialNo = taxRebateExportDetails.getDeclarationSerialNo();
        this.hsCode = taxRebateExportDetails.getHsCode();
        this.exportCommodityCode = taxRebateExportDetails.getExportCommodityCode();
        this.exportCommodityName = taxRebateExportDetails.getExportCommodityName();
        this.measurementUnit = taxRebateExportDetails.getMeasurementUnit();
        this.exportQuantity = taxRebateExportDetails.getExportQuantity();
        this.fobPriceUsd = taxRebateExportDetails.getFobPriceUsd();
        this.taxRefundAmount = taxRebateExportDetails.getTaxRefundAmount();
        this.status = taxRebateExportDetails.getStatus();

    }
}
